# Endian File Reference

`#include <algorithm>`

Include dependency graph for Endian:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_ENDIAN 1

## Enumerations

enum | Endian { BigEndian, LittleEndian }

## Functions

Endian | getCpuByteOrder ()
void | swapBytes (char *in, unsigned int size)
void | swapBytes2 (char *in)
void | swapBytes4 (char *in)
void | swapBytes8 (char *in)
void | swapBytes16 (char *in)

## Define Documentation

#define OSG_ENDIAN 1

## Enumeration Type Documentation

enum osg::Endian

Enumeration values:

  BigEndian |
  LittleEndian |

## Function Documentation

Endian getCpuByteOrder | ( |  | ) | `[inline]`

void swapBytes | ( | char * | in,
|  | unsigned int | size
| ) | `[inline]`

void swapBytes16 | ( | char * | in | ) | `[inline]`

void swapBytes2 | ( | char * | in | ) | `[inline]`

void swapBytes4 | ( | char * | in | ) | `[inline]`

void swapBytes8 | ( | char * | in | ) | `[inline]`